﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Xml.Linq;
namespace RsaWebapp.Shared.Entities
{
	public enum GeneratedKeyType
	{
		PC = 1,
		FPGA = 2,
	}
	public class RsaKeys
	{
		public int Id { get; set; }
		//XML sa null gdy klucz generowany na FPGA
		public string? PublicKeyXml { get; set; }
		public string? PrivateKeyXml { get; set; }
		public string KeyName { get; set; }	
		public User User { get; set; }
		public GeneratedKeyType Type { get; set; }

		//key parameters
		public string Modulus {  get; set; }
		public string Exponent { get; set; }
		public string P { get; set; }
		public string Q { get; set; }
		public string D { get; set; }
		

	}
}
