﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using RsaWebapp.Shared.Entities.Validators;
namespace RsaWebapp.Shared.Entities
{
	public class User
	{
		public int Id { get; set; }
		public string Username { get; set; }	
		public string PasswordHash { get; set; }
		public string PasswordSalt { get; set; }
		public List<RsaKeys>? RsaKeys { get; set; }
	}

	public class LoginResource
	{
		[UsernameValidator]
		public string Username { get; set; } = string.Empty;
		[PasswordValidator]
		public string Password { get; set; } = string.Empty;
	}
    public class RegisterResource
    {
	    [UsernameValidator]
        public string Username { get; set; } = string.Empty;
        [PasswordValidator]
        public string Password { get; set; } = string.Empty;
    }
}
