﻿using RsaWebapp.Shared.Entities;

namespace RsaWebapp.Shared.Services;

public interface IFpgaService
{
    Task<bool> GetConnectionStatus();
    Task<EncryptedValue> Encrypt(string message, RsaKeys key);
    Task<byte[]> Decrypt(string message, RsaKeys key);
    Task<RsaKeys> GenerateKey(RsaDetails details);
    void ChangeApiValueAtRuntime(FpgaConfigurationService config);
}