﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace RsaWebapp.Migrations
{
    /// <inheritdoc />
    public partial class UserInRsakeys : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_RsaKeys_Users_UserId",
                table: "RsaKeys");

            migrationBuilder.AlterColumn<int>(
                name: "UserId",
                table: "RsaKeys",
                type: "INTEGER",
                nullable: false,
                defaultValue: 0,
                oldClrType: typeof(int),
                oldType: "INTEGER",
                oldNullable: true);

            migrationBuilder.AddForeignKey(
                name: "FK_RsaKeys_Users_UserId",
                table: "RsaKeys",
                column: "UserId",
                principalTable: "Users",
                principalColumn: "Id",
                onDelete: ReferentialAction.Cascade);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_RsaKeys_Users_UserId",
                table: "RsaKeys");

            migrationBuilder.AlterColumn<int>(
                name: "UserId",
                table: "RsaKeys",
                type: "INTEGER",
                nullable: true,
                oldClrType: typeof(int),
                oldType: "INTEGER");

            migrationBuilder.AddForeignKey(
                name: "FK_RsaKeys_Users_UserId",
                table: "RsaKeys",
                column: "UserId",
                principalTable: "Users",
                principalColumn: "Id");
        }
    }
}
