﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace RsaWebapp.Migrations
{
    /// <inheritdoc />
    public partial class KeyParamatersToDb : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "Exponent",
                table: "Keys",
                type: "TEXT",
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "Modulus",
                table: "Keys",
                type: "TEXT",
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "P",
                table: "Keys",
                type: "TEXT",
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "Q",
                table: "Keys",
                type: "TEXT",
                nullable: false,
                defaultValue: "");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "Exponent",
                table: "Keys");

            migrationBuilder.DropColumn(
                name: "Modulus",
                table: "Keys");

            migrationBuilder.DropColumn(
                name: "P",
                table: "Keys");

            migrationBuilder.DropColumn(
                name: "Q",
                table: "Keys");
        }
    }
}
