﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace RsaWebapp.Migrations
{
    /// <inheritdoc />
    public partial class SplitRsaXmlIntoPrivateAndPublic : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.RenameColumn(
                name: "KeyInXml",
                table: "Keys",
                newName: "PublicKeyXml");

            migrationBuilder.AddColumn<string>(
                name: "PrivateKeyXml",
                table: "Keys",
                type: "TEXT",
                nullable: false,
                defaultValue: "");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "PrivateKeyXml",
                table: "Keys");

            migrationBuilder.RenameColumn(
                name: "PublicKeyXml",
                table: "Keys",
                newName: "KeyInXml");
        }
    }
}
