﻿using Microsoft.EntityFrameworkCore;
using RsaWebapp.Shared.Entities; 

namespace RsaWebapp.Shared.Data
{
	public class AppDbContext : DbContext
	{
		public AppDbContext(DbContextOptions options) : base(options) { }

		public DbSet<User> Users { get; set; }
		public DbSet<RsaKeys> Keys { get; set; }
	}
}
