﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Cryptography;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Linq;

namespace RsaWebapp.Shared.Entities
{
    public class RandomKeyContainer : IKeyContainer
    {
        public string PublicKeyXml { get; set; }
        public string PrivateKeyXml { get; set; }
        public IEnumerable<XElement> KeyParamsValues { get; set; }
        public GeneratedKeyType Type { get; set; }
    }
}
