﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using RsaWebapp.Shared.Entities;
namespace RsaWebapp.Shared.Services
{
	public interface IUserService
	{
		Task<User> Register(RegisterResource register);
		Task<User> Login(LoginResource login);
		Task<User> GetUser(int id);
		Task<List<RsaKeys>> GetUserRsaKeys(int userId);
		List<RsaKeys> GetAllRsaKeys();
		Task<int> SavePcKey(UserKeyContainer container);
		Task DeleteUserKey(int id);
		Task<bool> TryDownloadUserKey(int keyId, bool privateKey);


	}
}
